User account creation filtered due to spam.

Bug 38035 - GCC 4.3.2 Make fails on ubuntu - configure: error: cannot compute suffix of object files
Summary: GCC 4.3.2 Make fails on ubuntu - configure: error: cannot compute suffix of o...
Status: RESOLVED INVALID
Alias: None
Product: gcc
Classification: Unclassified
Component: bootstrap (show other bugs)
Version: 4.3.2
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-06 18:24 UTC by themnmoores
Modified: 2012-02-04 21:11 UTC (History)
2 users (show)

See Also:
Host: i686-pc-linux
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description themnmoores 2008-11-06 18:24:59 UTC
doing a configure and make fails with 4.3.2. gcc 4.2.4 works fine.

Machine is running Ubuntu 8.04.1

Here is the the tail of the make process:

Cleaning up unneeded directories:
fixincludes is done
echo timestamp > stmp-fixinc
rm -f mm_malloc.h
cat ../../gcc-4.3.2/gcc/config/i386/pmm_malloc.h > mm_malloc.h
if [ -d include ] ; then true; else mkdir include; chmod a+rx include; fi
if [ -d include-fixed ] ; then true; else mkdir include-fixed; chmod a+rx include-fixed; fi
for file in .. ../../gcc-4.3.2/gcc/ginclude/float.h ../../gcc-4.3.2/gcc/ginclude/iso646.h ../../gcc-4.3.2/gcc/ginclude/stdarg.h ../../gcc-4.3.2/gcc/ginclude/stdbool.h ../../gcc-4.3.2/gcc/ginclude/stddef.h ../../gcc-4.3.2/gcc/ginclude/varargs.h ../../gcc-4.3.2/gcc/ginclude/stdfix.h ../../gcc-4.3.2/gcc/config/i386/cpuid.h ../../gcc-4.3.2/gcc/config/i386/mmintrin.h ../../gcc-4.3.2/gcc/config/i386/mm3dnow.h ../../gcc-4.3.2/gcc/config/i386/xmmintrin.h ../../gcc-4.3.2/gcc/config/i386/emmintrin.h ../../gcc-4.3.2/gcc/config/i386/pmmintrin.h ../../gcc-4.3.2/gcc/config/i386/tmmintrin.h ../../gcc-4.3.2/gcc/config/i386/ammintrin.h ../../gcc-4.3.2/gcc/config/i386/smmintrin.h ../../gcc-4.3.2/gcc/config/i386/nmmintrin.h ../../gcc-4.3.2/gcc/config/i386/bmmintrin.h ../../gcc-4.3.2/gcc/config/i386/mmintrin-common.h mm_malloc.h; do \
	  if [ X$file != X.. ]; then \
	    realfile=`echo $file | sed -e 's|.*/\([^/]*\)$|\1|'`; \
	    echo timestamp > include/$realfile; \
	    rm -f include/$realfile; \
	    cp $file include; \
	    chmod a+r include/$realfile; \
	  fi; \
	done
rm -f include/unwind.h
cp ../../gcc-4.3.2/gcc/unwind-generic.h include/unwind.h
set -e; for ml in `cat fixinc_list`; do \
	  sysroot_headers_suffix=`echo ${ml} | sed -e 's/;.*$//'`; \
	  multi_dir=`echo ${ml} | sed -e 's/^[^;]*;//'`; \
	  fix_dir=include-fixed${multi_dir}; \
	  if [ -f `echo /usr/include | sed -e :a -e 's,[^/]*/\.\.\/,,' -e ta`/limits.h ] ; then \
	    cat ../../gcc-4.3.2/gcc/limitx.h ../../gcc-4.3.2/gcc/glimits.h ../../gcc-4.3.2/gcc/limity.h > tmp-xlimits.h; \
	  else \
	    cat ../../gcc-4.3.2/gcc/glimits.h > tmp-xlimits.h; \
	  fi; \
	  /bin/bash ../../gcc-4.3.2/gcc/../mkinstalldirs ${fix_dir}; \
	  chmod a+rx ${fix_dir} || true; \
	  rm -f ${fix_dir}/limits.h; \
	  mv tmp-xlimits.h ${fix_dir}/limits.h; \
	  chmod a+r ${fix_dir}/limits.h; \
	done
rm -f include-fixed/README
cp ../../gcc-4.3.2/gcc/../fixincludes/README-fixinc include-fixed/README
chmod a+r include-fixed/README
echo timestamp > stmp-int-hdrs
TARGET_CPU_DEFAULT="" \
	HEADERS="auto-host.h ansidecl.h" DEFINES="USED_FOR_TARGET " \
	/bin/bash ../../gcc-4.3.2/gcc/mkconfig.sh tconfig.h
echo timestamp > gpl.pod
perl ../../gcc-4.3.2/gcc/../contrib/texi2pod.pl ../../gcc-4.3.2/gcc/doc/include/gpl_v3.texi > gpl.pod
echo timestamp > doc/gpl.7
(pod2man --center="GNU" --release="gcc-4.3.2" --section=7 gpl.pod > doc/gpl.7.T$$ && \
		mv -f doc/gpl.7.T$$ doc/gpl.7) || \
		(rm -f doc/gpl.7.T$$ && exit 1)
make[3]: Leaving directory `/home/us291221/Desktop/build/gcc'
mkdir -p -- i686-pc-linux-gnu/libgcc
Checking multilib configuration for libgcc...
Configuring stage 1 in i686-pc-linux-gnu/libgcc
configure: creating cache ./config.cache
checking for --enable-version-specific-runtime-libs... no
checking for a BSD-compatible install... /usr/bin/install -c
checking for gawk... no
checking for mawk... mawk
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for i686-pc-linux-gnu-ar... ar
checking for i686-pc-linux-gnu-lipo... lipo
checking for i686-pc-linux-gnu-nm... /home/us291221/Desktop/build/./gcc/nm
checking for i686-pc-linux-gnu-ranlib... ranlib
checking for i686-pc-linux-gnu-strip... strip
checking whether ln -s works... yes
checking for i686-pc-linux-gnu-gcc... /home/us291221/Desktop/build/./gcc/xgcc -B/home/us291221/Desktop/build/./gcc/ -B/usr/local/i686-pc-linux-gnu/bin/ -B/usr/local/i686-pc-linux-gnu/lib/ -isystem /usr/local/i686-pc-linux-gnu/include -isystem /usr/local/i686-pc-linux-gnu/sys-include
checking for suffix of object files... configure: error: cannot compute suffix of object files: cannot compile
See `config.log' for more details.
make[2]: *** [configure-stage1-target-libgcc] Error 1
make[2]: Leaving directory `/home/us291221/Desktop/build'
make[1]: *** [stage1-bubble] Error 2
make[1]: Leaving directory `/home/us291221/Desktop/build'
make: *** [all] Error 2
Comment 1 Andrew Pinski 2008-11-07 03:33:26 UTC
Where did you install GMP/MPFR?  Was LD_LIBRARY_PATH set up correctly to point to the lib directories?
Comment 2 Alexander Khrukin 2011-12-19 20:57:49 UTC
Build Options


mkdir -p gcc-mipsel
pushd gcc-mipsel
~/cross-avr-gcc/BUILD/cross-mipsel-gcc-4.6.2/gcc-mipsel ~/cross-avr-gcc/BUILD/cross-mipsel-gcc-4.6.2
CC='gcc -O2 -g -frecord-gcc-switches -Wstrict-aliasing=2 -pipe -Wformat -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fomit-frame-pointer -mtune=generic -march=i586 -fasynchronous-unwind-tables'
../gcc-4.6.2/configure --prefix=/usr \
                         --mandir=/usr/share/man \ 
                         --infodir=/usr/share/info \
                         --target=mipsel  \
                         --enable-languages=c,c++ \ 
                         --disable-nls \ 
                         --disable-libssp \ 
                         --with-system-zlib \ 
                         --disable-libgomp \
                         --enable-version-specific-runtime-libs \ 
                         '--with-pkgversion=Mandriva 4.6.2-1' \
                         --with-bugurl=https://qa.mandriva.com/ \
                         --libexecdir=/usr/lib
Comment 3 Andrew Pinski 2012-02-04 21:11:22 UTC
No feedback from the original author.

(In reply to comment #2)
> Build Options
I bet you are not building a full combined tree which has the newlib sources included.